LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-29-2006, 04:37 PM   #1
vnutheti
LQ Newbie
 
Registered: Mar 2006
Posts: 3

Rep: Reputation: 0
gtk+- 2.6.10 installation


i was trying to install anjuta-2.0.1 (IDE) on my Fedora 4
The configure gave that I have gtk+- lesser version than 2.4
Brought the gtk+-2.6.10 version + glib2.7.7 version.
installed the glib, while installing gtk ..
checking for BASE_DEPENDENCIES... Requested 'pango >= 1.8.0' but version of Pango is 1.7.0
configure: error: Package requirements (glib-2.0 >= 2.6.0 atk >= 1.0.1 pango >= 1.8.0) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable

Installed the pango version 1.8.2
rpm -qa | grep pango gives -- pango-1.8.1-2

set the enviornment PKG_CONFIG_PATH to /usr/local/lib/pkgconfig where the othr *.pc are too (like atk, glib etc)

still the same error...


appreciate any help
thanks
 
Old 03-30-2006, 11:35 AM   #2
berbae
Member
 
Registered: Jul 2005
Location: France
Distribution: Arch Linux
Posts: 540

Rep: Reputation: Disabled
Hi venutheti

Maybe you need to install also the -devel packages to be able to compile from sources.
Install glib-devel, atk-devel, pango-devel, gtk-devel, ...
AFAIK, there are more recent version releases for the packages you mentionned. Check this out.

Good luck
 
Old 03-30-2006, 12:28 PM   #3
demented_are_go
Member
 
Registered: Mar 2006
Distribution: Fedora Solaris Slackware
Posts: 50

Rep: Reputation: 15
If you're running core 4, you could probably install it with yum no? I know the package is available for core 5, i just checked.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
GTK+2 Installation secureoffice SUSE / openSUSE 9 10-10-2005 01:25 PM
Gtk Installation Elbryan Fedora 1 02-23-2005 06:47 PM
libraleigh.so and gtk installation cisram Linux - Software 0 04-30-2004 11:36 AM
GTK installation miskiw Linux - Software 2 04-24-2004 10:26 AM
Installation problems with GTK+-2.2 melange Linux - Newbie 3 03-08-2004 11:02 AM


All times are GMT -5. The time now is 08:35 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration